require 'spec_helper'

describe 'neutron::config' do
  let(:config_hash) do {
    'uwsgi/foo' => { 'value'  => 'fooValue' },
  }
  end

  shared_examples 'neutron-api-uwsgi on Debian' do
    let :params do
      { :api_config => config_hash }
    end

    it 'configures arbitrary neutron-api-uwsgi-config configurations' do
      should contain_neutron_uwsgi_config('uwsgi/foo').with_value('fooValue')
    end
  end


  on_supported_os({
    :supported_os   => OSDefaults.get_supported_os
  }).each do |os,facts|
    context "on #{os}" do
      let (:facts) do
        facts.merge!(OSDefaults.get_facts())
      end
      if facts[:os_package_type] == 'debian'
        it_behaves_like 'neutron-api-uwsgi on Debian'
      end
    end
  end
end
